For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all teams
      • POSTCreate a team
      • GETGet a team by id
      • POSTAdd an account membership for a team
  • Transaction API
  • Event API
LoginSandbox
Identity APITeams

Create a team

POST
/v:version/teams
POST
/v:version/teams
$curl -X POST https://test.api.solvimon.com/v1/teams \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "entity_id": "enti_123456789",
> "name": "Solvimon Admins"
>}'
1{
2 "id": "string",
3 "entity_id": "string",
4 "name": "string",
5 "account_memberships": [
6 {
7 "object_type": "string",
8 "id": "string",
9 "account_id": "string",
10 "account": {
11 "id": "string",
12 "reference": "string",
13 "account_type_code": "string",
14 "environment": "string",
15 "account_group_id": "string",
16 "parent_id": "string",
17 "platform_id": "string"
18 },
19 "type": "ADMIN",
20 "role_ids": [
21 "string"
22 ],
23 "account_reference": "string",
24 "environment": "string",
25 "roles": [
26 {
27 "object_type": "string",
28 "id": "string",
29 "name": "string",
30 "description": "string",
31 "entity_id": "string",
32 "child_role_ids": [
33 "string"
34 ],
35 "child_roles": [
36 {}
37 ]
38 }
39 ]
40 }
41 ]
42}
Was this page helpful?
Previous

Get a team by id

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
entity_idstring or nullOptional
The id of the entity that this team belongs to
namestringOptional
The name of the team

Response

Created
idstring or nullRead-only
The id of the team
entity_idstring or null
The id of the entity that this team belongs to
namestring
The name of the team
account_membershipslist of objects or nullRead-only
The account memberships of this team

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error